.FRAME-obsthermique {
  position: absolute;
  top: 5rem;
  background-color: white;
  left: 0;
  width: 100%;
  margin: 1rem 0 0;
  padding: 0;
  overflow: hidden;
  height: calc(100% - 6rem);
  font-family: var(--font-ubuntu);
}

.FRAME-obsthermique .FRAME-pannel-carto {
  position: relative;
  align-self: stretch;
  width: 100%;
  height: 100%;
  background-color: white;
  overflow: hidden auto;
  scrollbar-gutter: stable;
}

.FRAME-obsthermique .FRAME-panel {
  display: flex;
  flex-direction: column;
  width: min(632px, 36%);
  max-width: 632px;
  align-items: center;
  gap: 0.5em;
  position: relative;
  background-color: #FFE1C6;
  padding: 1rem;
}

.FRAME-obsthermique .FRAME-search {
  position: relative;
  display: flex;
  width: 100%;
  height: 4rem;
  background-color: white;
  border: 2px solid rgba(var(--variable-collection-orange2));
  border-radius: 4rem;
  align-items: center;
}

.FRAME-obsthermique .search-prepend {
  position: relative;
  flex: 3 0;
  background-color: rgba(var(--variable-collection-orange2));
  border-radius: 4rem 0px 0px 4rem;
  border: 6px solid rgba(var(--variable-collection-orange2));
  padding: 6px;
  display: flex;
  align-items: center;
  gap: 8px;
  
  & > label {
    font-weight: 600;
    color: white;
    font-size: 12px;
    letter-spacing: 1.40px;
    line-height: normal;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
  }
}

.clear-btn {
  margin-right: 1rem;
  background-color: rgba(var(--variable-collection-orange2));
  border-radius: 2.2rem;
  border: 0;
  height: 2.5rem;
  width: 2.5rem;
  cursor: pointer;

  &:hover {
    transform: translateY(-2px);
    box-shadow: 0px 6px 12px #00000040;
  }

  &:active {
    transform: translateY(0px);
  }
}

.FRAME-search > input {
  flex: 4 0;
  font-family: var(--font-ubuntu);
  font-weight: 400;
  font-style: italic;
  color: var(--variable-collection-grey2);
  font-size: 1em;
  letter-spacing: 2.80px;
  line-height: normal;
  padding: 0.5rem;
  border-radius: 0 4rem 4rem 0;
  border: 0;
  text-decoration: none;
  text-overflow: ellipsis;
  overflow: hiden;

  &:focus {
    outline: none;
  }
}

.search-suggestions {
  position: absolute;
  display: flex;
  visibility: hidden;
  top: calc(4rem - 2px);
  left: min(40%, calc(100% - 3.5rem - 254px));
  right: 1.5rem;
  z-index: 99;
  flex-direction: column;
  border: 1px solid rgba(var(--variable-collection-orange2));
  border-top: 0;
  background: white;

  & > span {
    font-size: 18px;
    padding: 0.5em 1em;
    cursor: pointer;
    
    &:hover {
      background: rgba(var(--variable-collection-orange2));
      color: white;
    }
  }
}

.FRAME-obsthermique .FRAME-infos {
  width: 100%;
  height: auto;
}

.FRAME-obsthermique .search-description {
  position: relative;
  padding: 1rem 0;
  font-weight: 400;
  color: var(--variable-collection-grey3);
  font-size: 12px;
  text-align: center;
  text-align-last: center;
  letter-spacing: 1.40px;
  line-height: normal;
  border-bottom: 1px solid rgba(var(--variable-collection-orange2));
}

@media screen and (min-width: 1551px) {
  .search-description {
    margin: 0 3rem;
  }
}

@media screen and (max-width: 1550px) {
  .search-description {
    margin: 0 2rem;
  }
}

.FRAME-obsthermique .indicateurs {
  display: none;
  flex: 1 1 25%;
  width: 100%;
  min-height: 17rem;
  height: 17rem;
  max-height: 17rem;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  position: relative;
  align-self: stretch;
  margin: 0.5rem 0 0;
}

.FRAME-obsthermique .indicateur {
  position: relative;
  height: 17rem;
  flex: 1 0;
  border-radius: 32px 32px 0px 32px;
  border: 2px solid;
  border-color: rgba(var(--variable-collection-orange2));
  letter-spacing: 1px;

  &.orange-background {
    background-color: #fff6f1;
  }

  &.white-background {
    background-color: white;
  }
}

.FRAME-obsthermique .disclaimer {
  display: none;
  flex: 1 1 25%;
  width: 100%;
  min-height: 17rem;
  max-height: 17rem;
  border-radius: 2rem;
  background: linear-gradient(180deg, #F69F4F 15.87%, #FFF 100%);
  align-items: center;
  justify-content: center;
  gap: 1rem;
  position: relative;
  align-self: stretch;
  margin-top: 0.5rem;
  padding: 0.5rem;
}

.disclaimer .left {
  display: flex;
  flex: 3 0;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.disclaimer .left ul{
  list-style-position: inside; /* la puce est dans la boîte du texte */
  text-align: center;          /* centre tout le contenu */
  padding: 0;                  /* retire le padding gauche par défaut */
  margin: 0;
}

.disclaimer .right {
  display: flex;
  flex: 2 1;
  align-items: center;
  justify-content: center;
}

.disclaimer .img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.disclaimer .head-text {
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 0.025em;
  color: white
}

.disclaimer .sub-text {
  font-weight: 800;
  font-size: 1.025em;
  letter-spacing: 0.01em;
  color: #424242
}

.disclaimer .release-date {
  font-weight: 500;
  letter-spacing: 0.01em;
  color: var(--variable-collection-orange1);
  background-color: white;
  padding: 0.5rem 1rem;
  box-shadow: 0px 6px 12px #00000040;
}

.disclaimer .standard-text {
  font-size: 12px;
  max-width: 70%;
}

@media screen and (min-width: 1551px) {
  .disclaimer .release-date {
    font-size: 1.25em;
  }
}

@media screen and (max-width: 1550px) {
  .disclaimer .release-date {
    font-size: 1em;
  }
}


.FRAME-obsthermique .pannel {
  z-index: 5;
  display: none;
  max-height: 35rem;
  border-radius: 2rem;
  border: 2px solid rgba(var(--variable-collection-orange2));
  background: white;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  align-self: stretch;
  gap: 1rem;
  box-shadow: 0px 6px 12px #00000040;
  padding: 1rem 0;

  &:not(#welcome) {
    gap: 3rem;
    padding: 5rem 0;
    border: 2px solid var(--variable-collection-grey2);
  }

  & > span {
    width: 75%;
    display: block;
    text-align: center;
    
    &:first-child {
      width: 80%;
    }
    
    &#no-city-data {
      display: none;
    }
  }

  & > img {
    max-width: 50%;
    max-height: 50%;
  }
}

.small-text {
  font-size: 12px;
}

.letter-spacing {
  letter-spacing: 3px;
}

.big-text {
  font-weight: 300;
  font-size: 4em;
}

/* @media screen and (min-height: 901px) {
  .big-text {
    font-size: 4em;
  }
  
  .pannel > span:first-child {
    font-size: 2em;
  }

  .disclaimer .left {
    gap: 0.5rem
  }

  .disclaimer .head-text {
    font-size: 2.35em;
  }
}

@media screen and (max-height: 900px) {
  .big-text {
    font-size: 2em;
  }

  .pannel > span:first-child {
    font-size: 1.5em;
  }

  .disclaimer .left {
    gap: 0.2rem;
  }

  .disclaimer .head-text {
    font-size: 1.35em;
  }
} */

.orange-text {
  color: rgba(var(--variable-collection-orange2))
}

.bold-text {
  font-weight: 800;
  font-size: 1em;
}

.upperacase {
  text-transform: uppercase;
}

.standard-text {
  font-size: 12px;
  max-width: 50%;
}

.indicateur-text {
  color: var(--variable-collection-grey3);
  text-align: center;
  width: 100%;
}

.indicateur .inhabitants {
  position: absolute;
  top: 4%;
  left: 4%;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.indicateur .home-thermometer-icon {
  position: absolute;
  bottom: 4%;
  right: 4%;
  height: 50%;
  width: 30%;
}

.indicateur .sun-icon {
  position: absolute;
  top: 4%;
  left: 4%;
  height: 50%;
  width: 30%;
}

.indicateur .temperature {
  position: absolute;
  top: 4%;
  right: 8%;
}

.indicateur .temperature-delta {
  width: fit-content;
  background-color: rgba(var(--variable-collection-orange2));
  color: white;
  border-radius: 2rem;
  padding: 2px 12px;
  border: 0;
  font-weight: 800;
}

.map-tooltip {
  display: none;
  position: absolute;
  background-color: white;
  border: 2px solid var(--variable-collection-grey3);
  border-radius: 12px;
  padding: 10px;
  z-index: 99;
  border-radius: 10px;
  box-shadow: 0px 6px 12px #00000040;
  text-align: center;
  font-size: 12px;
  color: var(--variable-collection-grey2);

  > span {
    position: relative;
    width: 100%;
  }
}

.indicateur-tooltip {
  width: 80%;
  top: 65%;
  left: 60%;
  font-size: 1em;
}

.indicateur .temperature-text {
  position: absolute;
  bottom: 8%;
  left: 4%;
  width: 75%;
}

.indicateur.centered-content {
  padding: 0 4%;
  
  & > * {
    width: calc(100% - 24px);
    position: absolute;
    left: 50%;
    margin: 4%;
    
    &:first-child {
      top: 20%;
      transform: translate(calc(-50% - 4%), -70%);
    }
    
    &:nth-child(2) {
      top: 50%;
      transform: translate(calc(-50% - 4%), -50%);
    }
    
    &:last-child {
      bottom: 20%;
      transform: translate(calc(-50% - 4%), 70%);
    }
  }
}

.indicateur .nature-people-icon {
  height: 30%;
  width: 50%;
}

.indicateur .sunset-icon {
  height: 30%;
  width: 50%;
}

.indicateur .mountains-icon {
  height: 30%;
  width: 50%;
}

.indicateur .show-graph-btn {
  background-color: rgba(var(--variable-collection-orange2));
  color: white;
  border-radius: 2rem;
  border: 0;
  padding: 0.5rem 1rem;
  cursor: pointer;
  font-family: var(--font-ubuntu);
  letter-spacing: 1px;
  white-space: pre;
  overflow: hidden;
  text-overflow: ellipsis;

  &:hover {
    transform: translate(calc(-50% - 4%), calc(70% - 2px));
    box-shadow: 0px 6px 12px #00000040;
  }

  &:active {
    transform: translate(calc(-50% - 4%), 70%);
  }
}

.contact-us {
  position: fixed;
  bottom: 1rem;
  right: 68%;
  z-index: 20;
}

.contact-us-btn {
  flex: 2 0;
  border: 2px solid black ;
  border-radius: 2rem;
  background-color: rgba(var(--variable-collection-orange2));
  cursor: pointer;
  font-family: var(--font-ubuntu);
  font-size: 14px;
  font-weight: 800;
  letter-spacing: 1px;
  height: 3rem;
  padding: 0.5rem 1.5rem;

  &:hover {
    transform: translateY(-2px);
    box-shadow: 0px 6px 12px #00000040;
  }

  &:active {
    transform: translateY(0px);
  }
}

.copyright {
  position: fixed;
  bottom: 0;
  z-index: 20;
  font-size: 7px;
  color: var(--variable-collection-grey2);
  letter-spacing: 1px;
}

.copyright .logo-alkante {
  width: 3rem;
  height: 1rem;
  vertical-align: middle;
}

.copyright a {
  font-size: 7px;
  color: var(--variable-collection-grey2);
  cursor: pointer;

  &:hover {
    color: var(--variable-collection-grey3);
    text-shadow: none;
    transform: translateY(-1px);
  }
  
  &:active {
    color: var(--variable-collection-grey2);
    transform: translateY(0px);
  }
}

.FRAME-carto .copyright {
  position: absolute;
  background-color: rgba(var(--variable-collection-orange2), 0.3);
  width: 100%;
  text-align: center;
  margin-bottom: 8px;
  color: black;
  font-size: 12px;
  letter-spacing: 5px;
  z-index: 999;

  & a {
    font-size: 10px;
    color: black;

    &:hover {
      color: var(--variable-collection-grey2);
    }
  }
}

.FRAME-obsthermique .FRAME-carto {
  position: fixed;
  background-color: white;
  overflow: hidden;
  top: 6rem;
  bottom: 0;
  left: min(36%, 636px);
}

@media screen and (min-height: 835px) {
  .FRAME-panel {
    height: 100%;
  }
  .FRAME-carto {
    right: 0;
  }
}

@media screen and (max-height: 834px) {
  .FRAME-panel {
    height: max-content;
  }
  .FRAME-carto {
    right: 1rem;
  }
}

.viewer-leaflet {
  position: relative;
  height: calc(100% + 1.5rem);
  width: 100%;
}

.FRAME-obsthermique .COMPO-zoom {
  position: absolute;
  width: 1.8rem;
  height: 6rem;
  top: 2rem;
  right: 2rem;
  box-shadow: 0px 4px 6.4px #00000033;
  border-radius: 20px;
  z-index: 999;
  background-color: white;
  border-radius: 2rem;
  border: 2px solid rgba(var(--variable-collection-orange2));
  display: flex;
  flex-direction: column;
}

.COMPO-zoom .zoom-in,
.COMPO-zoom .zoom-out {
  width: 100%;
  height: 50%;
  border: none;
  cursor: pointer;
  padding: 0;

  > .plus-icon, > .minus-icon {
    height: 1rem;
    width: 1rem;
  }

  &:hover {
    transform: translateY(-1px);
    box-shadow: 0px 6px 12px #00000040;
  }

  &:active {
    transform: translateY(0px);
  }
}

.COMPO-zoom .zoom-in {
  border-bottom: 1px solid rgba(var(--variable-collection-orange2));
  border-radius: 2rem 2rem 0 0;
}

.COMPO-zoom .zoom-out {
  border-top: 1px solid rgba(var(--variable-collection-orange2));
  border-radius: 0 0 2rem 2rem;
}

.FRAME-obsthermique .COMPO-dates {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 2rem;
  height: 5.5%;
  width: 35%;
  left: 50%;
  transform: translateX(-50%);
  box-shadow: 0px 4px 10.9px #00000040;
  border-radius: 2rem;
  z-index: 999;
  border: 1px solid rgba(var(--variable-collection-orange2));
  border-radius: 2rem;
}

.COMPO-dates .date {
  align-items: center;
  justify-content: center;
  position: relative;
  height: 100%;
  width: 25%;
  cursor: pointer;
  transition: all 0.2s ease;
  border: none;
  border-left: 1px solid rgba(var(--variable-collection-orange2));
  border-right: 1px solid rgba(var(--variable-collection-orange2));

  &:hover {
    transform: translateY(-2px);
    box-shadow: 0px 6px 12px #00000040;
  }

  &:active {
    transform: translateY(0px);
  }
  
  &:first-child {
    border-radius: 32px 0px 0px 32px;
    width: 12.5%;
  }
  
  &:last-child {
    border-radius: 0px 32px 32px 0px;
    width: 12.5%;
  }
  
  &.active-year{
    background-color: rgba(var(--variable-collection-orange2));
  }

  &.unavailable-year{
    background-color: white;
    /* opacity: 0.50; */
  }
}

.COMPO-dates .date {
  position: relative;

  & > span {
    color: rgba(var(--variable-collection-orange2));
    font-weight: 400;
    font-size: 20px;
    letter-spacing: 4.20px
  }

  &.active-year > span {
    color: white;
  }
  & > img {
    height: 50%;
    width: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

.previous-year-panel, .next-year-panel {
  flex-direction: column;
  gap: 1rem;
  top: 50%;
  width: 16rem;
}

.previous-year-panel {
  left: -50%;
}

.next-year-panel {
  right: -50%;
}

.COMPO-opacity {
  position: absolute;
  display: block;
  width: 6rem;
  height: 20px;
  box-shadow: 2px 5px 8.2px 3px #0000002b;
  border-radius: 1.1rem;
  border: 2px solid rgba(var(--variable-collection-orange2));
  background-color: white;
  z-index: 999;
}

.opacity-slider {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80%;
  height: 2px;
  background-color: rgba(var(--variable-collection-orange2), 0.7);
  outline: none;
  -webkit-appearance: none;
  -webkit-transition: .2s;
  transition: opacity .2s;
  border-radius: 10px;
}

.opacity-slider:hover {
  background-color: rgba(var(--variable-collection-orange2), 1);
}

.opacity-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 12px;
  height: 12px;
  border-radius: 10px;
  border: solid 1px white;
  background: rgba(var(--variable-collection-orange2));
  cursor: pointer;
}

.opacity-slider::-moz-range-thumb {
  width: 12px;
  height: 12px;
  background: rgba(var(--variable-collection-orange2));
  cursor: pointer;
}

.opacity-tooltip {
  top: 1.5rem;
  left: 3rem;
}

.FRAME-obsthermique .COMPO-layers {
  position: absolute;
  display: flex;
  flex-direction: column;
  width: 6rem;
  height: 6rem;
  box-shadow: 2px 5px 8.2px 3px #0000002b;
  border-radius: 1.1rem;
  border: 2px solid rgba(var(--variable-collection-orange2));
  background-color: white;
  z-index: 999;
  cursor: pointer;
  
  &:hover {
    transform: translateY(-1px);
    box-shadow: 0px 6px 12px #00000040;
  }
  
  &:active {
    transform: translateY(0px);
  }
}

@media screen and (min-width: 1251px) {
  .COMPO-layers {
    top: 2rem;
    right: 5rem;
  }
  .COMPO-opacity {
    top: 9rem;
    right: 5rem;
  }
}

@media screen and (max-width: 1250px) {
  .COMPO-layers {
    top: 9rem;
    right: 2rem;
  }
  .COMPO-opacity {
    top: 16rem;
    right: 2rem;
  }
}

.COMPO-layers > .layers-preview{
  flex: 2 1;
  width: 100%;
  border-radius: 1rem 1rem 0 0;
  border-bottom: 2px solid rgba(var(--variable-collection-orange2));
  background-image: url('../assets/img/map/satellite.png');
  background-position: center;
}

.COMPO-layers .layers-btn {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  flex: 1 1;
  width: 100%;
  border-radius: 0 0 0.8rem 0.8rem;
  background-color: rgba(var(--variable-collection-orange2));
  border: 2px solid rgba(var(--variable-collection-orange2));

  > .layers-icon {
    width: 1rem;
    height: 1rem;
  }

  > span {
    color: white;
    font-family: var(--font-ubuntu);
    font-size: 12px;
    font-weight: 700;
  }
}

.FRAME-carto .FRAME-legende {
  position: absolute;
  width: 6rem;
  height: 10rem;
  bottom: 2rem;
  right: 2rem;
  background-color: white;
  border-radius: 8px;
  overflow: hidden;
  border: 2px solid;
  border-color: rgba(var(--variable-collection-orange2));
  z-index: 999;
}

.FRAME-legende .temperature-scale {
  position: absolute;
  width: 1.5rem;
  top: 12px;
  bottom: 12px;
  left: 12px;
  background: linear-gradient(
    180deg,
    #c82d2c 0%,
    #cf473e 10%,
    #d6614f 20%,
    #e39472 30%,
    #f0c895 40%,
    #fdfbb8 50%,
    #d1dab9 60%,
    #a4b9b9 70%,
    #7898ba 80%,
    #6287ba 90%,
    #4b76ba 100%
  );
}

.FRAME-legende .temperature-low,
.FRAME-legende .temperature-mid,
.FRAME-legende .temperature-high {
  position: absolute;
  right: 12px;
  font-weight: 400;
  color: var(--variable-collection-grey3);
  font-size: 20px;
  letter-spacing: 1px;
  line-height: normal;
}

.FRAME-legende .temperature-high {
  top: 1rem;
}

.FRAME-legende .temperature-mid {
  top: 50%;
  transform: translateY(-50%);
}

.FRAME-legende .temperature-low {
  bottom: 1rem;
}

.leaflet-control-attribution a{
  font-size: 0.75rem;
  text-transform: none;
  color: var(--font-color-primary) !important;
}


.graph-container {
  display: none;
  position: fixed;
  top: 22rem;
  left: 35%;
  width: 30rem;

  &.show {
    display: block;
  }

  > .modal-dialog, .modal-content {
    margin: 0;
    border-radius: 1rem;
    border: none;
  }
}

/* Cache le message par défaut (pour desktop) */
.mobile-message {
  display: none;
}

/* Affiche uniquement le message sur mobile */
@media (max-width: 991.98px) {
  /* Masque tout le contenu sauf le message */
  body > *:not(.mobile-message) {
    display: none !important;
  }
  /* Affiche le message */
  .mobile-message {
    display: flex !important;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #FFE1C6;
    font-family: var(--font-ubuntu);
    font-size: 1.5rem;
    color: var(--variable-collection-grey3);
    text-align: center;
    padding: 2rem;
    z-index: 9999;
  }
}